Package org.eclipse.mat.snapshot.query

# Enum TQuantize.Target

java.lang.Object
java.lang.Enum<TQuantize.Target>
org.eclipse.mat.snapshot.query.TQuantize.Target

All Implemented Interfaces:
  `Serializable`, `Comparable<TQuantize.Target>`, `java.lang.constant.Constable`

Enclosing class:
  TQuantize

public static enum TQuantize.Target extends Enum<TQuantize.Target>
Well-known default aggregations.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASSLOADER`
Aggregate by class loader
`PACKAGE`
Aggregate by package

## Method Summary

Modifier and Type
Method
Description
`URL`
`getIcon()`
`String`
`getLabel()`
`String`
`getTitle(String command)`
`static TQuantize.Target`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TQuantize.Target[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASSLOADER

public static final TQuantize.Target CLASSLOADER
Aggregate by class loader

### PACKAGE

public static final TQuantize.Target PACKAGE
Aggregate by package

## Method Details

### values

public static TQuantize.Target[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TQuantize.Target valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLabel

public String getLabel()

### getTitle

public String getTitle(String command)

### getIcon

public URL getIcon()